GRASS shell doesn't work on macOS

2018-02-13 05:14 PM - Wouter Neisingh

Status: Closed

Priority: Normal

Assignee:

Category: GRASS

Affected QGIS version:2.18.15 Regression?: No

Operating System: Mac OS, High Sierra 10.13.3 Easy fix?: No

Pull Request or Patch supplied:No Resolution: end of life

Crashes QGIS or corrupts data:No Copied to github as #: 25988

Description

Hi everyone,

I have a question about the use the GRASS 6.4.6 (2016) Plugin that comes with the QGIS 2.14.21-Essen version. I installed the software

on a Macbook that runs on High Sierra 10.13.3 and haven´t used any other versions of either GRASS or QGIS prior to the current one. As

I prefer to use the long term stable version of QGIS, I would like to stick to the 2.14 version if possible. As far as I know, this one only

allows you to use the GRASS 6 version.

The problem is that the use of the GRASS shell doesn´t seem to work. As you can see on the picture, it doesn´t allow you to type anything

at all. It just shows a white box.

Does anyone else experience this problem, or does anyone have an idea what I could do to fix it? 

Thanks a lot in advance!

History

#1 - 2018-03-12 03:10 AM - Chris Kahler

Hi Wouter, I have the same problem.CK

#2 - 2018-03-12 03:13 AM - Giovanni Manghi

- Status changed from Open to Feedback

QGIS 2.14, as also GRASS 6, is obsolete. Please test 2.18 with support for GRASS7.

#3 - 2018-03-12 03:13 AM - Chris Kahler

Forgot to add: Mac OS is High Sierra, QGIS 2.18.15, GRASS 7.

#4 - 2018-03-12 03:20 AM - Giovanni Manghi

- Status changed from Feedback to Open

- Affected QGIS version changed from 2.14.21 to 2.18.15

- Subject changed from GRASS 6.4.6 shell doesn´t work on Macbook High Sierra with QGIS 2.14? to GRASS shell doesn't work on macOS

#5 - 2019-01-21 12:34 AM - Jürgen Fischer

- Status changed from Open to Feedback
Please test with QGIS 3.4 - QGIS 2.18 reached it's end of life.

#6 - 2019-03-09 03:10 PM - Giovanni Manghi

- Resolution set to end of life

- Status changed from Feedback to Closed

End of life notice: QGIS 2.18 LTR

Source:

http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/

QGIS 3.4 has recently become our new Long Term Release  (LTR) version. This is a major step in our history – a long term release version based on the

massive updates, library upgrades and improvements that we carried out in the course of the 2.x to 3x upgrade cycle.

We strongly encourage all users who are currently using QGIS 2.18 LTR  as their preferred QGIS release to migrate to QGIS 3.4. This new LTR version

will receive regular bugfixes for at least one year. It also includes hundreds of new functions, usability improvements, bugfixes, and other goodies. See the

relevant changelogs for a good sampling of all the new features that have gone into version 3.4

Most plugins have been either migrated or incorporated into the core QGIS code base.

We strongly discourage the continued use of QGIS 2.18 LTR as it is now officially unsupported, which means we’ll not provide any bug fix releases for it.

You should also note that we intend to close all bug tickets referring to the now obsolete LTR version. Original reporters will receive a notification of the

ticket closure and are encouraged to check whether the issue persists in the new LTR, in which case they should reopen the ticket.

If you would like to better understand the QGIS release roadmap, check out our roadmap page! It outlines the schedule for upcoming releases and will help

you plan your deployment of QGIS into an operational environment.

The development of QGIS 3.4 LTR has been made possible by the work of hundreds of volunteers, by the investments of companies, professionals, and

administrations, and by continuous donations and financial support from many of you. We sincerely thank you all and encourage you to collaborate and

support the project even more, for the long term improvement and sustainability of the QGIS project.
